Debian Bug report logs - #291859
openclipart: please include OpenOffice.org Gallery info files

version graph

Package: openclipart; Maintainer for openclipart is Martin Kelly <aomighty@gmail.com>; Source for openclipart is src:openclipart.

Reported by: Rene Engelhard <rene@debian.org>

Date: Sun, 23 Jan 2005 17:33:04 UTC

Severity: wishlist

Tags: patch

Found in version 0.09+dfsg1-1

Fixed in version openclipart/0.10+dfsg-2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#291859; Package openclipart. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openclipart: please include OpenOffice.org Gallery info files
Date: Sun, 23 Jan 2005 18:15:51 +0100
[Message part 1 (text/plain, inline)]
Package: openclipart
Version: 0.09+dfsg1-1
Severity: wishlist
Tags: patch

Hi,

please apply the following patch. I installs info files for
OpenOffice.org into the right location which contain info about
opencliparts contents for OpenOffice.org and will create 
entries like http://zyklop.dyndns.org/~rene/openclipart-ooo.png for each
openclipart section.

Those files *do* harcode the paths though and that with every file. So
they need to be updated for new openclipart releases....

Regards,

Rene

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

-- no debconf information
[openclipart.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#291859; Package openclipart. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Message #10 received at 291859@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 291859@bugs.debian.org
Subject: Re: Bug#291859: Acknowledgement (openclipart: please include OpenOffice.org Gallery info files)
Date: Sun, 23 Jan 2005 18:40:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

doh. wrong. path. Fixed patch attached.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
      
[openclipart.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#291859; Package openclipart. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Rene Engelhard <rene@debian.org>, 291859@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#291859: openclipart: please include OpenOffice.org Gallery info files
Date: Sun, 23 Jan 2005 19:36:47 +0100
On Sun, Jan 23, 2005 at 06:15:51PM +0100, Rene Engelhard wrote:
> Package: openclipart
> Version: 0.09+dfsg1-1
> Severity: wishlist
> Tags: patch
> 
> Hi,
> 
> please apply the following patch. I installs info files for
> OpenOffice.org into the right location which contain info about
> opencliparts contents for OpenOffice.org and will create 
> entries like http://zyklop.dyndns.org/~rene/openclipart-ooo.png for each
> openclipart section.
> 
> Those files *do* harcode the paths though and that with every file. So
> they need to be updated for new openclipart releases....
That part sounds me embarassing. Is it possible to have the source of
the script that generates the whole .tar.gz ? I would like to include it
in the debian/rules file so that the generated files are always in sync
with the cliparts.

Thanks,
Aurelien

-- 
  .''`.  Aurelien Jarno	              GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#291859; Package openclipart. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#291859; Package openclipart. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Message #25 received at 291859@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 291859@bugs.debian.org
Subject: Re: Bug#291859: openclipart: please include OpenOffice.org Gallery info files
Date: Sun, 23 Jan 2005 19:56:53 +0100
[Message part 1 (text/plain, inline)]
Hi,

Aurelien Jarno wrote:
> On Sun, Jan 23, 2005 at 06:15:51PM +0100, Rene Engelhard wrote:
> > Those files *do* harcode the paths though and that with every file. So
> > they need to be updated for new openclipart releases....
> That part sounds me embarassing. Is it possible to have the source of
> the script that generates the whole .tar.gz ? I would like to include it

If there was one I'd have sent it But as far as I see there is no way to
generate those files from a filelist. I did them with OpenOffice.org itself
and just tarred the files up...

> in the debian/rules file so that the generated files are always in sync
> with the cliparts.

I understand that, and I think you are right - just that it doesn't seem
possible currently as far as I saw and I didn't get a reply on my mail
to the OOo ml....

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
      
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#291859; Package openclipart. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. Full text and rfc822 format available.

Message #30 received at 291859@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 291859@bugs.debian.org
Subject: Re: Bug#291859: openclipart: please include OpenOffice.org Gallery info files
Date: Thu, 3 Feb 2005 20:59:49 +0100
[Message part 1 (text/plain, inline)]
Hi,

Aurelien Jarno wrote:
> On Sun, Jan 23, 2005 at 06:15:51PM +0100, Rene Engelhard wrote:
> > Those files *do* harcode the paths though and that with every file. So
> > they need to be updated for new openclipart releases....
> That part sounds me embarassing. Is it possible to have the source of
> the script that generates the whole .tar.gz ? I would like to include it
> in the debian/rules file so that the generated files are always in sync
> with the cliparts.

Patch updated for 0.10.

Please tell me if you want or not want to add it so I add them to the
ppenoffice.org-debian-files (source) package and could do either a
new package or do some hack in the OOo wrapper script...

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
      
[openclipart.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 291859-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 291859-close@bugs.debian.org
Subject: Bug#291859: fixed in openclipart 0.10+dfsg-2
Date: Fri, 04 Feb 2005 08:17:24 -0500
Source: openclipart
Source-Version: 0.10+dfsg-2

We believe that the bug you reported is fixed in the latest version of
openclipart, which is due to be installed in the Debian FTP archive:

openclipart_0.10+dfsg-2.diff.gz
  to pool/main/o/openclipart/openclipart_0.10+dfsg-2.diff.gz
openclipart_0.10+dfsg-2.dsc
  to pool/main/o/openclipart/openclipart_0.10+dfsg-2.dsc
openclipart_0.10+dfsg-2_all.deb
  to pool/main/o/openclipart/openclipart_0.10+dfsg-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated openclipart package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  4 Feb 2005 12:10:40 +0100
Source: openclipart
Binary: openclipart
Architecture: source all
Version: 0.10+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 openclipart - Open Clip Art Library
Closes: 291859
Changes: 
 openclipart (0.10+dfsg-2) unstable; urgency=low
 .
   * Added OpenOffice.org Gallery info files from Rene Engelhard (closes:
     bug#291859).
Files: 
 e308912740e4c22f256f7de121f7c8a3 613 graphics extra openclipart_0.10+dfsg-2.dsc
 6b43dccf9fb9b56657ff040ef57150b0 3679182 graphics extra openclipart_0.10+dfsg-2.diff.gz
 2d604d11749d23526421ddf8de746f1f 25208798 graphics extra openclipart_0.10+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFCA2+5w3ao2vG823MRAj+qAJ9XjHalVVV5mLhE7p9EVB1FX3F+0wCeK2ej
OEcB7zyRmIyrlOwsJ68rMq4=
=kBgg
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:51:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.